
#{extends 'cms/menu-tab-base.html' /}

<div class="card-header">
    Template Artikel Umum
</div>
<div class="card-body">
    <div class="alert alert-danger alert-modal hidden"></div>
    <form action=""  method="post" id="inputArtikelUmum">
        <input type="hidden" name="model.action" id="statusAction" value="${model?.action}" >
        <input type="hidden" name="model.id" value="${model?.id}" >
        #{include 'cms/parts/kldi-selection.html' /}
        <div class="form-group has-feedback">
            <div class="row">
                <label for="title" class="col-2 control-label">Judul Artikel</label>
                <input type="text" name="model.title" id="title" placeholder="Silahkan masukkan judul artikel" required value="${model?.title}" class="col-12 form-control">
                <span class="form-control-feedback"></span>
                <span class="help-block">#{error 'model.title' /}</span>
            </div>
        </div>
        #{cms.content-banner-upload model:model /}
        #{cms.multiple-file-upload selector:'Extra', title:'File Bebas', files:model.uploadedExtras /}
        <div class="form-group has-feedback">
            <div class="row">
                <label for="content" class="col-5 control-label">Isi Artikel</label>
                <div class="col-sm-12 #{errorClass 'model.content'/} summernote-wrapper">
                    <textarea class="form-control content" name="model.content" id="content" rows="10" cols="80">${model?.content}</textarea>
                </div>
                <span class="help-block content-error">#{error 'model.content' /}</span>
            </div>
        </div>
     
        #{include 'cms/parts/publishing-status.html' /}
        <div class="form-group">
            <div class="row"style="justify-content:center;">
                <a href='' class="btn btn-success" id="save_button"><i class="fa fa-save"></i> Lanjut</a>
                &nbsp;&nbsp;
                <a href='@{index()}' class="btn btn-warning"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
            </div>
        </div>
    </form>
</div>

#{set 'tabContentScripts' }
<script>

    $(document).ready(function() {
        $('#inputArtikelUmum').validate({
            rules: baseValidationOptions.rules,
            messages: baseValidationOptions.messages,
            errorElement: 'span',
            errorClass: 'help-block',
            focusInvalid: false,
            ignore: ":hidden, [contenteditable='true']:not([name])",
            errorPlacement: function(error, element) {
                var elem = $(element);
                if (elem.hasClass("kldi_id")) {
                    element = $("span.select2.select2-container");
                    element2 = $("span.select2-selection.select2-selection--single");
                    error.insertAfter(element);
                    element2.addClass('has-error');
                }
                else { error.insertAfter(element); }
            },
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            success: function (label) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
            },
        })

        $('#save_button').on('click', function(e) {
            e.preventDefault()
            store()
        })

        function sendRequest(data) {
            $('.alert-modal').addClass('hidden');
            $.ajax({
                xhr: function() {
                    var browser = navigator.appName;
                    if(browser == "Microsoft Internet Explorer"){
                        var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
                    } else {
                        var xhr = new window.XMLHttpRequest();
                    }
                    xhr.upload.addEventListener("progress", function(evt) {
                        if (evt.lengthComputable) {
                            var percentComplete = (evt.loaded / evt.total) * 100;
                        }
                    }, false);
                    return xhr;
                },
                async:true,
                type: "POST",
                cache: false,
                contentType: false,
                processData: false,
                url: "#{url route.cms_contentapicontroller_storeartikelumum /}",
                data: data,
                beforeSend: function(){blockPageUI();},
                success: function(result){
                    if (result.status){
                        $('.alert-modal').removeClass('hidden')
                                .removeClass('alert-danger')
                                .addClass('alert-success')
                                .html(result.message);
                        setDataAndChangeTab(result)
                    } else {
                        $('.alert-modal')
                                .addClass('alert-danger')
                                .removeClass('alert-success')
                                .removeClass('hidden').html(result.message);
                    }
                },
                complete: function(){unblockPageUI();},
                error: function(){
                    unblockPageUI();
                    $('.alert-modal')
                            .addClass('alert-danger')
                            .removeClass('alert-success')
                            .removeClass('hidden').html('&{translation.general_error}');
                }
            });
        }

        function store() {
            if (!$('#inputArtikelUmum').valid() || validateTextAreaWithSummer('#content')) {  
                return
            }
            var data = new FormData($('#inputArtikelUmum')[0]);
            if ((status === 'create' 
                || (status === 'update' && typeof uploadfile !== 'undefined')) 
                && !validImage(ext)) {
                alert("File ekstensi yang didukung untuk diunggah adalah jpg, jpeg atau png")
                return
            }
            data.set("model.uploadfile", uploadfile)
            data.set("model.deletedFiles", deletedFiles)
            appendFilesToFormBy(data, '.uploadExtra')
            sendRequest(data)
        }


        $('#content').summernote({
            height: ($(window).height() - 300),
            placeholder: 'Silahkan masukkan isi artikel',
            toolbar: [
                ['style', ['style']],
                ['font', ['bold', 'italic', 'underline', 'clear']],
                ['fontname', ['fontname']],
                ['color', ['color']],
                ['para', ['ul', 'ol', 'paragraph']],
                ['table', ['table']],
                ['insert', ['link', 'picture', 'video']],
                ['view', ['fullscreen', 'codeview', 'help']],
            ],
            callbacks: {
                onImageUpload: function(image, editor, welEditable) {
                    $('progress').attr('value','0.0');
                    uploadImage(image[0], editor, welEditable);
                },
                onMediaDelete: function(image) {
                    deleteImage(image[0].src);
                },
                onChange: function(e, editable) {
                    removeErrorOnChange('.content-error')
                }
            }
        });

        $('#attachMoreExtra').click(function(e) {
            e.preventDefault();
            generateAttachMoreElement("uploadExtra", "File Bebas", "#moreFileExtra")
        })
        registerFileChange('.uploadExtra', "#moreFileExtra")
        registerDeleteAttachment('.del_file_uploadExtra', 'File bebas')

    })

    
</script>
#{/set}